//
//	SDA Prototypes.h
//
//	Prototypes for Screen Depth Alias.c
//	To be merged later. Here only for convenience.
//

OSErr IncreaseApplicationStack(Size incrementSize);

pascal OSErr RunAEHandler (AppleEvent * theEvent, AppleEvent * theReply, long refcon);
pascal OSErr QuitAEHandler (AppleEvent * theEvent, AppleEvent * theReply, long refcon);
pascal OSErr OpenAEHandler (AppleEvent * theEvent, AppleEvent * theReply, long refcon);
pascal OSErr ChildDiedAEHandler (AppleEvent * theEvent, AppleEvent * theReply, long refcon);
OSErr GotRequiredParam(AppleEvent *theEvent);

typedef struct {
		Boolean isColor;
		unsigned short theDepth;
		} ScreenStateRecord, **ScreenStateHdl;
Boolean EqualScreenState(ScreenStateRecord ss1, ScreenStateRecord ss2);
ScreenStateRecord GetScreenState(void);
Boolean ScreenStateAvail(ScreenStateRecord theState);
void SetScreenState(ScreenStateRecord theState);
void RememberScreenState(ScreenStateRecord theState);
ScreenStateRecord RecallScreenState(void);

void StringTemplate(Str255 tmp, Str255 sub1, Str255 sub2);
void ScreenStateToString(ScreenStateRecord sd, Str63 str);
void AliasToFileName(AliasHandle theAlias, Str63 name);
void MakeFinderHelpString(Str255 s);

OSType GetFileType(FSSpec *spec);
OSErr RememberTargetApp(FSSpec* f);
OSErr RecallTargetApp(FSSpec *f);

OSErr RememberEverything(FSSpec *spec);
Boolean IsAppRunning(FSSpec *theApp);
Boolean IsTargetRunning(FSSpec *theFSS);

typedef enum {
		errUnexpected = 1,
		errCantSetScreenState,
		errCantFindApplication,
		errMissingSystemFeature,
		errLaunchedMoreThanOnce,
		errTooManyItemsToOpen,
		errDroppedFileOfWrongType,
		errTargetAlreadyRunning
	  } ErrorCode;
void Error(ErrorCode code);
void Message(Str255 str);
Boolean ICanRun(void);
Boolean IsBackgroundOnly(void);
